Subject: Re: [bug#31178] [PATCH] gnu: Add inxi.

From: Peter Neidhardt <[email-masked]>
Date: Mon, 07 May 2018 12:14:12 +0200

Oleg Pykhalov <[email-masked]> writes:

>> OK, so if I understand correctly, only native-inputs get
>> garbage-collected, right?
>
> Not quite, missing inputs (*not only* ‘(native-inputs …)’) in the output
> of mentioned ‘guix gc’ command get garbage-collected.

So what are the rules for garbage collection then?  I'm confused...
I don't see how _some_ inputs could get garbage collected and others not.

>> If so, why are the perl plugins propagated-inputs and not just inputs?
>
> Good catch.  Yes, we could have Perl packages in ‘propagated-inputs’.

You meant `inputs', right?

-- 
Peter Neidhardt

"Poor man... he was like an employee to me."
-- The police commissioner on "Sledge Hammer" laments the death of his
bodyguard